Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.guiUtils
Class ColorCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          uchicago.src.guiUtils.ColorCellEditor

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.swing.CellEditor, javax.swing.event.ChangeListener, javax.swing.table.TableCellEditor

    public class ColorCellEditor

extends javax.swing.AbstractCellEditor
implements javax.swing.table.TableCellEditor, javax.swing.event.ChangeListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ColorCellEditor()`

Method Summary
`java.lang.Object` | `getCellEditorValue()`
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int col)`
`void` | `stateChanged(javax.swing.event.ChangeEvent evt)`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### ColorCellEditor

    public ColorCellEditor()

Method Detail

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int col)

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `javax.swing.CellEditor`

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent evt)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD